Package org.apache.wiki.htmltowiki.syntax

## Class InputDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.InputDecorator

    public abstract class InputDecorator
    extends java.lang.Object

Translates to wiki syntax from a `INPUT` element.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`

### Constructor Summary

Constructors
`protected` `InputDecorator​(java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(org.jdom2.Element e)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupForInputAttribute​(java.lang.String attr, java.lang.String value)` Wiki markup for an `INPUT`'s attribute.
`protected abstract java.lang.String` `markupInputClose()` Closing wiki markup for an `INPUT` element.
`protected abstract java.lang.String` `markupInputOpen()` Opening wiki markup for an `INPUT` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

### Constructor Detail

#### InputDecorator

    protected InputDecorator​(java.io.PrintWriter out,
                             XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(org.jdom2.Element e)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupForInputAttribute

    protected abstract java.lang.String markupForInputAttribute​(java.lang.String attr,
                                                                java.lang.String value)

Wiki markup for an `INPUT`'s attribute.

Parameters:
  `attr` - attribute's name.
  `value` - attribute's value.
Returns:
  Opening wiki markup for an `INPUT` element.

#### markupInputOpen

    protected abstract java.lang.String markupInputOpen()

Opening wiki markup for an `INPUT` element.

Returns:
  Opening wiki markup for an `INPUT` element.

#### markupInputClose

    protected abstract java.lang.String markupInputClose()

Closing wiki markup for an `INPUT` element.

Returns:
  Closing wiki markup for an `INPUT` element.